# Imports

    import loottweaker.vanilla.loot.LootTables;
    import loottweaker.vanilla.loot.LootTable;
    import loottweaker.vanilla.loot.LootPool;
    import loottweaker.vanilla.loot.Conditions;
    import loottweaker.vanilla.loot.Functions;

#

/*
    Use this command to test loot rates but change the specified loot table to one you want tested
    /setblock ~ ~ ~ minecraft:chest 0 replace {LootTable:"minecraft:chests/abandoned_mineshaft"}
*/


/*
    The first function is to grab the specific table and load it for loottweaker
    it is written as follows
    var 'variableName' = LootTables.getTable("location of lootTable");

    the variableName can be named anything you want
    and the location of the lootTables can be found using
    '/ct loottable all' while in game with loottable
*/

# Gets all loot tables for later and stores them in variables

    var abMiSh = LootTables.getTable("minecraft:chests/abandoned_mineshaft");
    var pyr = LootTables.getTable("minecraft:chests/desert_pyramid");
    var endCity = LootTables.getTable("minecraft:chests/end_city_treasure");
    var igloo = LootTables.getTable("minecraft:chests/igloo_chest");
    var junTemp = LootTables.getTable("minecraft:chests/jungle_temple");
    var junTempDis = LootTables.getTable("minecraft:chests/jungle_temple_dispenser");
    var netBr = LootTables.getTable("minecraft:chests/nether_bridge");
    var simDun = LootTables.getTable("minecraft:chests/simple_dungeon");
    var spawn = LootTables.getTable("minecraft:chests/spawn_bonus_chest");
    var strCor = LootTables.getTable("minecraft:chests/stronghold_corridor");
    var strCros = LootTables.getTable("minecraft:chests/stronghold_crossing");
    var strLib = LootTables.getTable("minecraft:chests/stronghold_library");
    var vilBla = LootTables.getTable("minecraft:chests/village_blacksmith");
    var wood = LootTables.getTable("minecraft:chests/woodland_mansion");

#

/*
    While this step can be ignored, you can always set some values
    which you are going to constantly write as something else
    aka as a shorthand.
    To set something as a variable you can do
    var 'variableName' = <ModID>;
    or
    var 'variableName' = ("string"); 
    *Strings are normal text, so loottable locations like above are strings
*/

# Shorthand stuff are always useful
    /*
        var dunChestPool = ("ebwizardry_additive_pool");
        var wizEntry = ("ebwizardry_additive_entry");
    */
#

/*
    Below the function I used was
    var 'variableName' = 'getTableVariable'.getPool('ebwizardryPool');
    The 'getTableVariable' is the variables I set in the first
    section
    The 'variableName' doesn't matter which can be noticed as you continue
    reading this script.
*/

# shorthand for getPool function
    /*
        var shaftWiz = abMiSh.getPool(dunChestPool);
        var pyrWiz = pyr.getPool(dunChestPool);
        var endCityWiz = endCity.getPool(dunChestPool);
        var iglWiz = igloo.getPool(dunChestPool);
        var tempWiz = junTemp.getPool(dunChestPool);
        var simWiz = simDun.getPool(dunChestPool);
        var strCorWiz = strCor.getPool(dunChestPool);
        var strCsWiz = strCros.getPool(dunChestPool);
        var libWiz = strLib.getPool(dunChestPool);
        var woodWiz = wood.getPool(dunChestPool);
    */
#

/*

    To remove all entries from a specific loottable you can use
    "poolName".removeEntry("Entry within loottable you want removed");
    though "poolName".clear();
    may also work. But that could result in more items being removed than aim.

*/

# Removes all wizardry entries from loot table
    /*    
        shaftWiz.removeEntry(wizEntry);
        pyrWiz.removeEntry(wizEntry);
        endCityWiz.removeEntry(wizEntry);
        iglWiz.removeEntry(wizEntry);
        tempWiz.removeEntry(wizEntry);
        simWiz.removeEntry(wizEntry);
        strCorWiz.removeEntry(wizEntry);
        strCsWiz.removeEntry(wizEntry);
        libWiz.removeEntry(wizEntry);
        woodWiz.removeEntry(wizEntry);
    */
#

/*

    To set the rolls to use quickhand variables use
    var "variableName" = "poolName".addPool("variableName", {min roll, max roll, min bonus roll, max bonus roll});

*/

# Sets pools with rolls to new variables

    var sw = abMiSh.addPool("sw", 2, 2, 0, 0);
    var pw = pyr.addPool("pw", 2, 2, 0, 0);
    var ecw = endCity.addPool("ecw", 2, 2, 0, 0);
    var iw = igloo.addPool("iw", 2, 2, 0, 0);
    var tw = junTemp.addPool("tw", 2, 2, 0, 0);
    var dw = junTempDis.addPool("dw", 2, 2, 0, 0);
    var bw = netBr.addPool("bw", 2, 2, 0, 0);
    var siw = simDun.addPool("siw", 2, 2, 0, 0);
    var spw = spawn.addPool("spw", 2, 2, 0, 0);
    var scw = strCor.addPool("scw", 2, 2, 0, 0);
    var stcw = strCros.addPool("stcw", 2, 2, 0, 0);
    var lw = strLib.addPool("lw", 2, 2, 0, 0);
    var vw = vilBla.addPool("vw", 2, 2, 0, 0);
    var ww = wood.addPool("ww", 2, 2, 0, 0);

#

/*
    The function to add items is
    'pool'.addItemEntryHelper(<modID>, weight, quality, [Function], [Condition]);
    
    The 'pool' must be specified based on each loot table you wish to add said loot
    to, so if you read through the script, you will notice that each variable set
    will link up to a specific loot table from the first section.

    The modID should be a normal name but for example <minecraft:apple> is one
    using minecraft's advanced tooltip or crafttweaker's dump feature you can
    get the modID to write in here.

    Weights are relative, and as a result will only matter if there are multiple
    items in a loottable. Since I added the lootbags into each loottable as opposed
    to an empty one, they do matter.

    Quality... I have no clue what it means

    Functions & Conditions are optional. Go to loottweaker's wiki to get
    a list of them: https://github.com/Leviathan143/LootTweaker/wiki/Helper-Classes
*/

# Adds items to lootTables

    sw.addItemEntryHelper(<lootbags:itemlootbag>, 10, 1, [Functions.setMetadata(0,4)], []);
    pw.addItemEntryHelper(<lootbags:itemlootbag>, 10, 1, [Functions.setMetadata(0,4)], []);
    ecw.addItemEntryHelper(<lootbags:itemlootbag>, 10, 1, [Functions.setMetadata(0,4)], []);
    iw.addItemEntryHelper(<lootbags:itemlootbag>, 10, 1, [Functions.setMetadata(0,4)], []);
    tw.addItemEntryHelper(<lootbags:itemlootbag>, 10, 1, [Functions.setMetadata(0,4)], []);
    dw.addItemEntryHelper(<lootbags:itemlootbag>, 10, 1, [Functions.setMetadata(0,4)], []);
    bw.addItemEntryHelper(<lootbags:itemlootbag>, 10, 1, [Functions.setMetadata(0,4)], []);
  # siw.addItemEntryHelper(<lootbags:itemlootbag>, 10, 1, [Functions.setMetadata(0,4)], []);
  # spw.addItemEntryHelper(<lootbags:itemlootbag>, 10, 1, [Functions.setMetadata(0,4)], []);
    scw.addItemEntryHelper(<lootbags:itemlootbag>, 10, 1, [Functions.setMetadata(0,4)], []); 
    stcw.addItemEntryHelper(<lootbags:itemlootbag>, 10, 1, [Functions.setMetadata(0,4)], []);
    lw.addItemEntryHelper(<lootbags:itemlootbag>, 10, 1, [Functions.setMetadata(0,4)], []);
  # vw.addItemEntryHelper(<lootbags:itemlootbag>, 10, 1, [Functions.setMetadata(0,4)], []);
    ww.addItemEntryHelper(<lootbags:itemlootbag>, 10, 1, [Functions.setMetadata(0,4)], []);

#
